%define upstream_name    Tapper
%define upstream_version 4.1

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Automated OS testing, also virtualized
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
Tapper is a modular, flexible and open test infrastructure.

Its only primary assumption is the ubiquitous use of the Test Anything
Protocol (TAP). Internally it is based on technology known from the CPAN
testing infrastructure, extending it with automation and advanced querying.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.json META.yml Changes LICENSE README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 4.100.0-3.mga3
+ Revision: 373014
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 24 2012 shlomif <shlomif> 4.100.0-2.mga3
+ Revision: 309841
- Add a more meaningful description.

* Wed Oct 24 2012 shlomif <shlomif> 4.100.0-1.mga3
+ Revision: 309728
- imported package perl-Tapper

